Skip to main content
GET
/
v1
/
tags
/
{tagId}
Get Tag
curl --request GET \
  --url https://api.us.lexful.app/v1/tags/{tagId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "is_system": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "color": "<string>",
  "asset_types": [
    "<string>"
  ],
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

tagId
string<uuid>
required

Tag ID

Response

Default Response

id
string<uuid>
required

Tag unique identifier

name
string
required

Tag name

is_system
boolean
required

Whether this is a system-managed tag

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

created_by
string<uuid>
required

User ID who created the tag

updated_by
string<uuid>
required

User ID who last updated the tag

description
string | null

Optional description for the tag

parent_id
string<uuid> | null

Parent tag ID (null for root tags)

color
string | null

Hex color code (e.g., #FF5733)

Pattern: ^#[0-9A-Fa-f]{6}$
asset_types
string[]

Asset type names this tag is constrained to (empty = applies to all)

deleted_at
string<date-time> | null

Deletion timestamp (soft delete)